Bug 681355

Summary: message center review and enhance
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Core UIAssignee: Hugh Brock <hbrock>
Status: ASSIGNED --- QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: high    
Version: 4.0.0.B02   
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
message-center.png none

Description John Mazzitelli 2011-03-01 17:04:48 EST
Go over the message center design/impl and determine what, if any, enhancements need to be made.

Such things as:

1) hover the date over menu items
2) reorder so the most recent is the first in the menu item list
3) be able to clear the message items from the menu

and anything else
Comment 1 John Mazzitelli 2011-03-17 18:00:00 EDT
commit ef4dc73f70fd6c1fd2e1b45b13d5645b5b5ed1e0

new "Clear All Messages" button has been added
messages appear in descending order
old messages get clipped off the bottom as newer messages get placed on top
Comment 2 John Mazzitelli 2011-03-18 10:20:47 EDT
one thing we can do - we could change this from a drop down menu to a simple button. when you click the button, a non-modal dialog would pop up showing you the messages. We wouldn't have to clip the messages (it could show up in unbounded list) but have a clear button that lets you clear them all.  Double clicking a row would show you the modal details dialog like it does today.

This way we could show and sort the items by date/time and severity.

This would work very similar to the statistics window - hit control-shift-s for that.
Comment 3 John Mazzitelli 2011-03-18 16:22:09 EDT
commit f40a6a433eadce7ba15f5a7213e3d64eb3d84b4c

new message center window. keeps your whites bright and colors vibrant!
Comment 4 John Mazzitelli 2011-03-18 17:38:53 EDT
Created attachment 486326 [details]
message-center.png

see attached screenshot for the new message center window.

When you click the Message Center button, or if you hit Control-Shift-M, you get this window. If you click the close (X) button in the dialog window, it hides the window. You get it back by clicking the Message Center button or pressing Control-Shift-M again.

New features include:

1) you see the time when the message was fired in the Time column. No need to pop up the details window to see that information.

2) you can sort on severity, time, or message.

3) if you double click a row, the details dialog window pops up (the same details dialog as before)

4) you can purge any individual message or a set of selected messages (Delete button), or you can purge all messages (Delete All button).

5) you know the total number of messages via the "Total" count in the bottom right of the table

6) you can configure the limit of the number of messages that are stored. Default is 50, the Max Messages button lets you set it from between 10 and 200 (specifically 10, 25, 50, 100 or 200). If you have more messages than the max, the oldest messages over the limit are automatically deleted. If you get more messages passed the max in the future, the oldest message is deleted to make room for the new message.

7) you can leave this window up and still navigate around the app. it is a non-modal dialog. thus you can click around and see the messages appear in the window

8) you can minimize the window to shrink it down to just the title bar if you want to see more screen real estate but not totally hide the window. you can maximize the window if you have a large list.